

<div class="modal-happiness" ng-click="hideHappiness()">
    <div class="lightbox" >
        <iframe id="hapinessMeteriframe" src=""></iframe>
    </div>
    <style>
        .modal-happiness {
            top: 0;
            left: 0;
            opacity: 0;
            z-index: 100;
            width: 100vw;
            height: 100%;
            position: fixed;
            overflow: hidden;
            visibility: hidden;
            background: rgba(0, 0, 0, .4);
            -webkit-transition: opacity .27s ease-in-out;
            transition: opacity .27s ease-in-out;
            max-height: 0;
            padding: 0;
        }

        .modal-OpenHappiness .modal-happiness {
            opacity: 1;
            visibility: visible;
            padding: 34px 7px 74px;
            max-height: 10000px;
        }
        .modal-happiness .lightbox {
            height: auto;
            position: relative;
            top: 25%;
            padding: 0;
            border: none;
            background: transparent;
            box-shadow: none;
        }
        #hapinessMeteriframe{
            -webkit-box-shadow: 0 2px 4px 0 rgba(0, 0, 0, .1);
            box-shadow: 0 2px 4px 0 rgba(0, 0, 0, .1);
            width: 100%;
            height: 230px;
        }
    </style>
</div>
